@import '../../../assets/styles/common.scss';

.login-container {
    width: 100%;
    height: 100%;
    display: flex;
    margin: 0px auto;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    background-color: $bgColor;

    &-header {
        width: 320px;
        display: flex;
        align-items: center;
        flex-direction: column;
        margin: -10% 0px 30px;
        justify-content: center;

        &-logo {
            width: 120px;
            height: 120px;
        }

        &-title {
            color: white;
            font-size: 24px;
            padding: 12px 35px 16px 35px;
            border-bottom: 1px solid white;
        }
    }

    &-form {
        height: 180px;
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        background-color: white;
        padding: 45px 35px 50px 35px;
        box-shadow: 0 0 6px rgba(0,0,0,0.3);

        &-submit {
            width: 100%;
            margin-top: 30px;
            
            .mdl-button {
                width: 100%;
                height: 42px;

                &.mdl-button--primary.mdl-button--primary.mdl-button--raised {
                    background-color: $bgColor;
                }

                &.mdl-button--raised[disabled][disabled] {
                    background-color: rgba(0,0,0,.12);
                }
                                    
                span {
                    display: flex;
                    color: white;
                    font-size: 16px;
                    font-weight: bold;
                    flex-direction: row;
                    align-items: center;
                    justify-content: center;

                    .mdl-spinner {
                        margin-right: 12px;
                        .mdl-spinner__circle-clipper {
                            border-color: $bgColor;
                        }

                        .mdl-spinner__circle-clipper,
                        .mdl-spinner__layer-1,
                        .mdl-spinner__layer-2,
                        .mdl-spinner__layer-3,
                        .mdl-spinner__layer-4 {
                            border-color: darken($bgColor, 5);
                        }
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 400px) {
    .login-container {
        &-form {
            padding: 45px 28px 35px 28px;

            &-label.mdl-textfield {
                width: 250px;
            }
        }
    }
}
